Bug 496927 - Anaconda leaves a broken install
Anaconda leaves a broken install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 12:44 EDT by Andrew McNabb
Modified: 2010-06-28 08:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart script used for install (1.11 KB, text/plain)
2009-04-21 12:44 EDT, Andrew McNabb
no flags Details
anaconda.log (139.47 KB, text/plain)
2009-04-21 12:46 EDT, Andrew McNabb
no flags Details
anaconda.syslog (43.12 KB, text/plain)
2009-04-21 12:46 EDT, Andrew McNabb
no flags Details
anaconda.xlog (20.41 KB, text/plain)
2009-04-21 12:47 EDT, Andrew McNabb
no flags Details
anaconda-ks.cfg (758 bytes, application/octet-stream)
2009-04-21 12:47 EDT, Andrew McNabb
no flags Details
install.log (18.70 KB, text/plain)
2009-04-21 12:47 EDT, Andrew McNabb
no flags Details
install.log.syslog (3.15 KB, text/plain)
2009-04-21 12:48 EDT, Andrew McNabb
no flags Details

  None (edit)
Description Andrew McNabb 2009-04-21 12:44:02 EDT
I just did an install of the latest Rawhide, and I had several strange problems.  I think they're related, so I'll include everything in this report.  Anyway, I installed from an interactive kickstart script, so in theory it should have behaved about the same as a normal installation.  During installation, I selected "Office and Productivity" and "Software Development" and clicked on "Customize Later".  During and after installation, I noticed the following problems:

1) After package installation, the screen went blank instead of rebooting.  After a few minutes, I manually rebooted.

2) Either in GRUB or just afterwards, it flashed the message, "failed to read image" and then proceeded to boot into Fedora 11.

3) Firstboot did not start on the first boot.

4) The system did not install packages for GNOME, and it only installed a few Xorg packages.  The system did not have an Xorg server installed.  Strangely enough, there were a number of KDE packages installed, including KDM.

So, to summarize, package selection didn't seem to include all of the normal packages for a desktop install, and there was some odd behavior along the way.
Comment 1 Andrew McNabb 2009-04-21 12:44:41 EDT
Created attachment 340574 [details]
kickstart script used for install
Comment 2 Andrew McNabb 2009-04-21 12:46:27 EDT
Created attachment 340575 [details]
anaconda.log
Comment 3 Andrew McNabb 2009-04-21 12:46:49 EDT
Created attachment 340576 [details]
anaconda.syslog
Comment 4 Andrew McNabb 2009-04-21 12:47:06 EDT
Created attachment 340577 [details]
anaconda.xlog
Comment 5 Andrew McNabb 2009-04-21 12:47:28 EDT
Created attachment 340578 [details]
anaconda-ks.cfg
Comment 6 Andrew McNabb 2009-04-21 12:47:46 EDT
Created attachment 340579 [details]
install.log
Comment 7 Andrew McNabb 2009-04-21 12:48:01 EDT
Created attachment 340580 [details]
install.log.syslog
Comment 8 Chris Lumens 2009-04-21 17:29:16 EDT
Hrm, this is strange.  I see nothing in your log files to indicate how this could have gotten so screwed up.  Is it reproducable?  My best guess is that your mirror was syncing rawhide at the same moment you were trying to install from it, so things got confused and you ended up with a very broken package set.  Strangely, there aren't any scriptlet errors in your install.log.
Comment 9 Andrew McNabb 2009-04-21 17:47:08 EDT
Unfortunately, it was a miracle that I was able to get it installed at all because of some unrelated partitioning/formatting errors (I had Anaconda crash 5 or 6 times along the way and had to restart the install each time).  I ended up reinstalling without a kickstart script at all, and things worked much better.  I'd be happy to try reproducing in a few days after the Anaconda partitioning bugs get fixed and pushed.

I looked at the logs on the mirror, and it looks like it finished syncing at about 5 am (long before I performed the installation), so I don't think that could be the problem.  I noticed that there are a number of open kickstart-related bugs, so I wonder if it might be a matter of building the package list incorrectly when kickstart is being used.  When I did the install with kickstart, I remember seeing in the progress bar that it was trying to install about 1000 messages, but when I installed without kickstart, I think the number of packages was more like 1500.  Theoretically it should be the same because the kickstart was an interactive install and because I picked the same options.
Comment 10 Andrew McNabb 2009-04-22 10:32:34 EDT
The "failed to read image" message is still happening even after reinstalling, so I've filed a separate bug report (bug #497146).  This bug really seems to be just about package selection.
Comment 11 Bug Zapper 2009-06-09 10:20:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-04-27 09:51:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 08:09:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.